import http from '@/utils/request'

// 获取账号列表
export function getAccountList (params) {
  return http.post('/tenant/admin', { data: params })
}

// 新增账户
export function addAccount (params) {
  return http.post('/tenant/admin/add', { data: params })
}

// 更新账户
export function updateAccount (params) {
  return http.post('/tenant/admin/update', { data: params })
}

// 删除账户
export function deleteAccount (id) {
  const params = {
    idList: [id]
  }

  return http.post('/tenant/admin/delete', { data: params })
}
